import { defineComponent as _, ref as a, createBlock as g, openBlock as x, unref as s, withCtx as y, createTextVNode as c, createElementVNode as D, toDisplayString as r } from "vue";
import { DasDialog as C } from "@das-fed/ui/packages/components/dialog/index";
import { t as V } from "@das-fed/web/packages/i18n/index";
const b = {
  name: "deleteDialog"
}, B = /* @__PURE__ */ _({
  ...b,
  emits: ["confirm", "cancel", "close"],
  setup(k, { expose: i, emit: f }) {
    const l = a(""), e = a(!1), t = f, m = () => {
      e.value = !1, t("cancel");
    }, u = () => {
      e.value = !1, t("confirm");
    }, d = (n) => {
      l.value = n, e.value = !0;
    }, p = () => {
      t("close");
    };
    return i({
      open: d
    }), (n, o) => (x(), g(s(C), {
      onClose: p,
      onCancel: m,
      onConfirm: u,
      defaultFooter: "",
      size: "mini",
      feedType: "delete",
      modelValue: e.value,
      "onUpdate:modelValue": o[0] || (o[0] = (v) => e.value = v),
      type: "feedback",
      "destroy-on-close": "",
      bodyStyle: "font-size: 16px;"
    }, {
      default: y(() => [
        c(
          r(l.value),
          1
          /* TEXT */
        ),
        o[1] || (o[1] = D(
          "br",
          null,
          null,
          -1
          /* HOISTED */
        )),
        c(
          r(s(V)("确定要删除吗？")),
          1
          /* TEXT */
        )
      ]),
      _: 1
      /* STABLE */
    }, 8, ["modelValue"]));
  }
});
export {
  B as default
};
